> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a File

> Retrieves one or more files available to your user. Files are not associated with a project or a memory. They are unprocessed and can be used later in the project/document creation workflow step.

To retrieve a specific file, specify the <strong>id</strong> request parameter. To retrieve all files, omit the <strong>id</strong> request parameter.

Example CURL command:
```bash
 curl -X GET https://api.lilt.com/v2/files?key=API_KEY&id=274
```



## OpenAPI

````yaml /api-reference/openapi-bundled.yaml get /v2/files
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /v2/files:
    get:
      tags:
        - Files
      summary: Retrieve a File
      description: >-
        Retrieves one or more files available to your user. Files are not
        associated with a project or a memory. They are unprocessed and can be
        used later in the project/document creation workflow step.


        To retrieve a specific file, specify the <strong>id</strong> request
        parameter. To retrieve all files, omit the <strong>id</strong> request
        parameter.


        Example CURL command:

        ```bash
         curl -X GET https://api.lilt.com/v2/files?key=API_KEY&id=274
        ```
      operationId: getFiles
      parameters:
        - name: id
          in: query
          description: A unique File identifier.
          schema:
            type: integer
        - name: labels
          in: query
          description: |
            One or more labels. This will return the files which contain all of
            the given labels.
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: A list of files.
          content:
            application/json:
              schema:
                title: FilesList
                type: array
                items:
                  $ref: '#/components/schemas/SourceFile'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          description: User does not have permission for provided file.
          content: {}
        '410':
          description: File deleted.
          content: {}
        default:
          description: Unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SourceFile:
      type: object
      properties:
        id:
          type: integer
          description: A unique number identifying the SourceFile.
          example: 46530
        name:
          type: string
          description: The file name.
          example: en_US.json
        file_hash:
          type: string
          description: >-
            A unique hash value associated with the file. An MD5 hash of the
            file content will be used by default.
          example: 3858f62230ac3c915f300c664312c63f
        detected_lang:
          type: string
          description: Language associated with the file.
          example: de
        detected_lang_confidence:
          type: number
          description: Confidence score for the language associated with the file.
          example: 0.7
        category:
          type: string
          description: >-
            The category of the file. The options are `REFERENCE`, or `API`. The
            default is API. Files with the `REFERENCE` category will be
            displayed as reference material.
          example: REFERENCE
        labels:
          type: array
          description: The list of labels associated with the file.
          example: []
          items:
            type: string
        created_at:
          type: string
          description: Time at which the object was created.
          format: date-time
          example: '2019-10-16T22:12:34Z'
        updated_at:
          type: string
          description: Time at which the object was created.
          format: date-time
          example: '2019-10-16T22:12:34Z'
      description: >-
        A SourceFile is an unprocessed source file that can later be added to a
        project.
    Error:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message describing the error.
      description: |
        Response in the event of an unexpected error.
      example:
        message: Internal server error.
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/octet-stream:
          schema:
            type: string
        text/plain:
          schema:
            type: string
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````